umbrello: ResolutionWidget Class Reference

umbrello 2.38.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Slots | Private Member Functions | List of all members
ResolutionWidget Class Reference

`#include <resolutionwidget.h>`

Inheritance diagram for ResolutionWidget:

## Public Member Functions
| ResolutionWidget (QWidget *parent=0)
float | currentResolution ()
Public Member Functions inherited from ComboBoxWidgetBase
| ComboBoxWidgetBase (const QString &title, const QString &postLabel=QString(), QWidget *parent=nullptr)
void | addToLayout (QGridLayout *layout, int row, int startColumn=0)
KComboBox * | editField ()

## Private Slots
void | slotTextChanged (const QString &text)

## Private Member Functions
QStringList | resolutions ()

## Additional Inherited Members
Protected Attributes inherited from ComboBoxWidgetBase
QLabel * | m_label
QLabel * | m_postLabel
KComboBox * | m_editField

## Constructor & Destructor Documentation

## ◆ ResolutionWidget()

ResolutionWidget::ResolutionWidget | ( | QWidget * | parent = `0` | ) |
| explicit

Constructor

Parameters

  parent | QWidget parent

## Member Function Documentation

## ◆ currentResolution()

float ResolutionWidget::currentResolution | ( |  | ) |

Return current selected resolution.

Returns
  resolutions as QString

## ◆ resolutions()

QStringList ResolutionWidget::resolutions | ( |  | ) |
| private

Returns a QStringList containing all supported resolutions

Returns
  QStringList with resolutions

## ◆ slotTextChanged

void ResolutionWidget::slotTextChanged | ( | const QString & | text | ) |
| privateslot

Limit user to only be able to enter numbers.

Parameters

  text | Currently edited text

The documentation for this class was generated from the following files:

- umbrello/dialogs/widgets/resolutionwidget.h
- umbrello/dialogs/widgets/resolutionwidget.cpp